#include "./Zombie.hpp"
#include <iostream>
#include <string>

Zombie::Zombie()
{
	std::cout << "Zombie()" << std::endl;
}

Zombie::Zombie(const std::string& name)
{
	std::cout << "Zombie(" << name << ")" << std::endl;
	this->_name = name;
}

Zombie::~Zombie()
{
	std::cout << "~Zombie()" << std::endl;
}

void Zombie::announce()
{
	std::cout << this->_name << ": BraiiiiiiinnnzzzZ..." << std::endl;
}

void Zombie::setName(const std::string &name)
{
	this->_name = name;
}
