#include "Harl.hpp"
#include <iostream>

void	Harl::complain(std::string level)
{
	static const std::string strings[4] = {
		"DEBUG",
		"INFO",
		"WARNING",
		"ERROR"
	};

	size_t i = 0;
	for (; i < 4; i++)
		if (strings[i] == level)
			break;
	switch(i) {
		case 0:
			debug();
		case 1:
			info();
		case 2:
			warning();
		case 3:
			error();
			break;
		default:
			std::cout << "Not a level" << std::endl;
			break;
	}
}

void	Harl::debug()
{
	std::cout << "I love having extra bacon for my 7XL-double-cheese-triple-pickle-special-ketchup burger. I really do !" << std::endl;
}

void	Harl::info()
{
	std::cout << "I cannot believe adding extra bacon costs more money. You didn’t put enough bacon in my burger ! If you did, I wouldn’t be asking for more !" << std::endl;
}

void	Harl::warning()
{
	std::cout << "I think I deserve to have some extra bacon for free. I’ve been coming for years whereas you started working here since last month." << std::endl;
}

void	Harl::error()
{
	std::cout << "This is unacceptable ! I want to speak to the manager now." << std::endl;
}
